View Issue Details

IDProjectCategoryView StatusLast Update
0001514Ham Radio DeluxeBugpublic2017-05-21 23:54
ReporterSupport 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformNoneOSWindows 7OS Version
Product Version 
Target VersionFixed in Version6.4.0.638 
Summary0001514: Awards Definitions Cannot Properly Define an "AND" Condition
DescriptionTried to create an alternate VUCC award definition excluding any contacts with
DSTAR in mode, using the 2nd field. Cursor jumps around randomly and labels get
overwritten with the field 2 data. Very erratic behavior.
Steps To ReproduceCopy VUCC awards defintion.
Attempt to modify to add a logical AND for Mode not contains DSTAR.
Observe cursor control issues and label overwrite issues.
Additional InformationReported by k2dls
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAwards
Testing

Relationships

Activities

WA9PIE

2014-01-19 21:08

administrator   ~0000112

User replied:

I checked in v189 and the cursor misbehavior reported at the bottom of the Awards 2 Definition template still exists. It is not possible to use the
grid at the bottom of the frame to build a query. Any queries have to be
built manually. Verified as not fixed in V189.

WA9PIE

2014-01-31 08:06

administrator   ~0000236

There are a number of similar problems with awards def builder.

WA9PIE

2017-03-06 09:15

administrator   ~0003119

Confirmed fixed

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 22:13 WA9PIE Status assigned => new
2014-01-19 21:08 WA9PIE Note Added: 0000112
2014-01-31 08:06 WA9PIE Release => 6.1
2014-01-31 08:06 WA9PIE Module => Logbook
2014-01-31 08:06 WA9PIE Sub-Module => Awards
2014-01-31 08:06 WA9PIE Report Build => 6.1.4.189
2014-01-31 08:06 WA9PIE Note Added: 0000236
2014-01-31 08:06 WA9PIE Assigned To Support =>
2014-01-31 08:06 WA9PIE Status new => confirmed
2014-02-02 11:25 WA9PIE Summary Awards Definitions Cannot Properly Define an "AND" Condition => Bug: Awards Definitions Cannot Properly Define an "AND" Condition
2014-02-02 11:25 WA9PIE Description Updated View Revisions
2014-02-02 11:25 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-23 00:07 WA9PIE Fix Build => (select)
2015-09-23 00:07 WA9PIE Summary Bug: Awards Definitions Cannot Properly Define an "AND" Condition => Awards Definitions Cannot Properly Define an "AND" Condition
2017-03-06 09:15 WA9PIE Assigned To => WA9PIE
2017-03-06 09:15 WA9PIE Status confirmed => closed
2017-03-06 09:15 WA9PIE Resolution open => fixed
2017-03-06 09:15 WA9PIE Reported in Build (ie. 377) 6.1.4.189 => 189
2017-03-06 09:15 WA9PIE Fixed in Build (ie. 377) (select) => 633
2017-03-06 09:15 WA9PIE Note Added: 0003119
2017-03-06 09:15 WA9PIE Project 1 - Backlog => Ham Radio Deluxe
2017-05-21 23:54 WA9PIE Fixed in Version => 6.4.0.638
2017-05-21 23:54 WA9PIE Fixed in Build (ie. 377) 633 =>